package com.ruoyi.project.sems.safecheck.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.framework.aspectj.lang.annotation.DataScopePlant;
import com.ruoyi.project.sems.safecheck.domain.TSpecDailycheck;

/**
 * 每日安全检查Mapper接口
 *
 * @author Li
 * @date 2023-08-17
 */
public interface TSpecDailycheckMapper
{
    /**
     * 查询每日安全检查
     *
     * @param id 每日安全检查ID
     * @return 每日安全检查
     */
    public TSpecDailycheck selectTSpecDailycheckById(Long id);

    /**
     * 查询每日安全检查列表
     *
     * @param tSpecDailycheck 每日安全检查
     * @return 每日安全检查集合
     */
    @DataScopePlant(deptAlias = "d")
    public List<TSpecDailycheck> selectTSpecDailycheckList(TSpecDailycheck tSpecDailycheck);

    /**
     * 新增每日安全检查
     *
     * @param tSpecDailycheck 每日安全检查
     * @return 结果
     */
    public int insertTSpecDailycheck(TSpecDailycheck tSpecDailycheck);

    /**
     * 修改每日安全检查
     *
     * @param tSpecDailycheck 每日安全检查
     * @return 结果
     */
    public int updateTSpecDailycheck(TSpecDailycheck tSpecDailycheck);

    /**
     * 删除每日安全检查
     *
     * @param id 每日安全检查ID
     * @return 结果
     */
    public int deleteTSpecDailycheckById(Long id);

    /**
     * 批量删除每日安全检查
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecDailycheckByIds(Long[] ids);

    int batchConfirmByids(Long[] ids);

    int batchCancel(Long[] ids);

    List<TSpecDailycheck> selectMyList(TSpecDailycheck tSpecDailycheck);
}
